#ifndef __NACC_SETUPMENU_H
#define __NACC_SETUPMENU_H

#include <vdr/menuitems.h>
#include "config.h"
#include "nacc.h"
#include "manager.h"


///////////////////////////////////////////////////////////////////////////////


class CCSetupMenu : public cMenuSetupPage
{
public:
  CCSetupMenu(PluginCC* plugin, CCManager* manager);

protected:
  virtual void Store(void);
  virtual eOSState ProcessKey(eKeys key);
   
private:
  void AddItems(void);
  void DelItems(void);
  void AddColorItems(void);
  void DelColorItems(void);
  void AddHideMenuItem(void);
  void DelHideMenuItem(void);
  
  int newCCType;
  int newActive;
  int newOverrideColors;
  int newBgClr;
  int newFgClr;
  int newStartType;
  int newHideMenuEntry;

  cOsdItem* CCTypeItem;
  cOsdItem* ActiveItem;
  cOsdItem* OverrideColorsItem;
  cOsdItem* BgClrItem;
  cOsdItem* FgClrItem;
  cOsdItem* StartTypeItem;
  cOsdItem* HideMenuEntryItem;
  
  PluginCC* plugin; 
  CCManager* manager;  
};


///////////////////////////////////////////////////////////////////////////////


#endif //__NACC_SETUPMENU_H
