#ifndef __NACC_INTERPRETER_H
#define __NACC_INTERPRETER_H

#include <vdr/thread.h>
#include <vdr/ringbuffer.h>

#include "common.h"
#include "osd.h"

///////////////////////////////////////////////////////////////////////////////


class Interpreter : public cThread
{
public:
  Interpreter(CCOsd* osd);
  virtual ~Interpreter();
  void Put(uint8_t* data, int length);
    
protected:
  virtual void Action(void);

private: 
  void Process(uint8_t* data, int length);
  
  cRingBufferLinear* inBuffer; 
  CCOsd* osd; 
};


///////////////////////////////////////////////////////////////////////////////


#endif //__NACC_INTERPRETER_H
